Bug 996395 - gcc-4.8.1-5.fc20 is FTBFS
gcc-4.8.1-5.fc20 is FTBFS
Product: Fedora
Classification: Fedora
Component: binutils (Show other bugs)
s390x Unspecified
urgent Severity urgent
: ---
: ---
Assigned To: Nick Clifton
Fedora Extras Quality Assurance
Depends On:
Blocks: ZedoraTracker
  Show dependency treegraph
Reported: 2013-08-13 02:29 EDT by Dan Horák
Modified: 2013-09-18 06:22 EDT (History)
3 users (show)

See Also:
Fixed In Version: binutils-
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-09-18 06:22:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dan Horák 2013-08-13 02:29:01 EDT
libitm fails to compile because -march=zEC12 option is used for assembler

libtool: compile:  /builddir/build/BUILD/gcc-4.8.1-20130717/obj-s390-redhat-linux/./gcc/xg++ -B/builddir/build/BUILD/gcc-4.8.1-20130717/obj-s390-redhat-linux/./gcc/ -nostdinc++ -nostdinc++ -I/builddir/build/BUILD/gcc-4.8.1-20130717/obj-s390-redhat-linux/s390-redhat-linux/libstdc++-v3/include/s390-redhat-linux -I/builddir/build/BUILD/gcc-4.8.1-20130717/obj-s390-redhat-linux/s390-redhat-linux/libstdc++-v3/include -I/builddir/build/BUILD/gcc-4.8.1-20130717/libstdc++-v3/libsupc++ -I/builddir/build/BUILD/gcc-4.8.1-20130717/libstdc++-v3/include/backward -I/builddir/build/BUILD/gcc-4.8.1-20130717/libstdc++-v3/testsuite/util -L/builddir/build/BUILD/gcc-4.8.1-20130717/obj-s390-redhat-linux/s390-redhat-linux/libstdc++-v3/src -L/builddir/build/BUILD/gcc-4.8.1-20130717/obj-s390-redhat-linux/s390-redhat-linux/libstdc++-v3/src/.libs -B/usr/s390-redhat-linux/bin/ -B/usr/s390-redhat-linux/lib/ -isystem /usr/s390-redhat-linux/include -isystem /usr/s390-redhat-linux/sys-include -DHAVE_CONFIG_H -I. -I../../../libitm -I../../../libitm/config/linux/s390 -I../../../libitm/config/linux -I../../../libitm/config/s390 -I../../../libitm/config/posix -I../../../libitm/config/generic -I../../../libitm -ftls-model=initial-exec -mzarch -mhtm -Wa,-march=zEC12 -Wall -pthread -Werror -std=gnu++0x -funwind-tables -fno-exceptions -fno-rtti -fabi-version=4 -O2 -g -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -march=z9-109 -mtune=z10 -D_GNU_SOURCE -MT aatree.lo -MD -MP -MF .deps/aatree.Tpo -c ../../../libitm/aatree.cc  -fPIC -DPIC -o .libs/aatree.o
Assembler messages:
Error: invalid switch -march=zEC12
Error: unrecognized option -march=zEC12

full log is available from http://s390.koji.fedoraproject.org/koji/taskinfo?taskID=1135021

Version-Release number of selected component (if applicable):
Comment 1 Dan Horák 2013-08-13 13:50:40 EDT
Nick, please see Jakub's response on IRC

<jakub> dhorak: sounds like a binutils issue
<jakub> dhorak: unlike el7 or f19, the f20 binutils aren't based on hjl's releases and thus are significantly older than what f19 or el7 has
<jakub> dhorak: you need to bug binutils maintainers to backport the needed changes
Comment 2 Jakub Jelinek 2013-08-13 13:56:09 EDT
power8 support is missing in f20 too I think, don't know what is the AVX 3.1 state.
Comment 3 Dan Horák 2013-08-13 14:03:33 EDT
Jakub, should I expect any problem when binutils- will be used to build gcc? Older, but from the Linux branch.
Comment 4 Nick Clifton 2013-08-14 07:03:50 EDT
binutils- should fix this.

Comment 5 Jeff Law 2013-08-19 11:54:39 EDT
Just to clarify, F20 isn't "significantly older", and we made a conscious decision to get away from the HJ releases and instead base Fedora (and ultimately RHEL) on the upstream binutils releases.

We expected some problems from this transition, particularly on the lesser tested platforms.

It looks like Nick already took care of this instance.  Please feel free to contact either of us if there are additional issues.
Comment 6 Fedora End Of Life 2013-09-16 12:54:04 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:

Note You need to log in before you can comment on or make changes to this bug.